Bug 149456 - rhnmd configuration is insecure
rhnmd configuration is insecure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nick Hansen
Vlady Zlatkin
: Security
Depends On:
Blocks: 145824
  Show dependency treegraph
 
Reported: 2005-02-23 05:23 EST by Wayne Pascoe
Modified: 2007-07-31 15:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 12:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Pascoe 2005-02-23 05:23:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
rhnmd configuration file (/opt/nocpulse/etc/rhnmd_config) allows fallback to SSH protocol version 1 due to the line
Protocol 2,1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
cat /opt/nocpulse/etc/rhnmd_config
  

Actual Results:  You see 
Protocol 2,1

Expected Results:  You should see
Protocol 2

Additional info:
Comment 2 Nick Hansen 2005-03-02 16:54:11 EST
Wayne, thanks for the bug report and good catch. The fix for this should be
available in the next version of the rhnmd pacakge that we push to the tools
channel, which should happen sometime around 3/15. 
Comment 5 Vlady Zlatkin 2005-03-04 16:20:19 EST
verified
Comment 6 Todd Warner 2005-04-08 12:39:54 EDT
mass move: PROD_READY --> CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.